Name:		usb_modeswitch
Summary:	Activating Switchable USB Devices on Linux
Version:	1.2.1
Release:	%mkrel 1
License:	GPLv2+
%define fname	usb-modeswitch
%define	fver	%{version}
Source0:	http://www.draisberghof.de/usb_modeswitch/%{fname}-%{version}.tar.bz2
URL:		http://www.draisberghof.de/usb_modeswitch/
Group:		System/Configuration/Hardware
BuildRequires:	libusb-devel
# To avoid a file dependency
BuildRequires:	tcl
Requires:	sysfsutils
Requires:	usb_modeswitch-data

%description
USB_ModeSwitch is a mode switching tool for controlling "flip flop"
(multiple device) USB gear.

Several new USB devices (especially high-speed wireless WAN stuff,
they're expensive anyway) have their Windows drivers onboard; when
plugged in for the first time they act like a flash storage and start
installing the driver from there. After that (and on every consecutive
plugging) this driver switches the mode internally, the storage device
vanishes (in most cases), and a new device (like an USB modem) shows
up. The WWAN gear maker Option calls that feature "ZeroCD (TM)".

%prep
%setup -q -n %{fname}-%{version}

%build
export CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/lib/udev/usb_modeswitch
%{_sbindir}/*
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/usb_modeswitch.conf




%changelog

* Wed Feb 08 2012 tv <tv> 1.2.1-1.mga2
+ Revision: 206568
- new release

  + wally <wally>
    - untighten reqs
    - new version 1.1.9
    - new version 1.1.8

* Sat Apr 16 2011 pterjan <pterjan> 1.1.7-1.mga1
+ Revision: 86624
- Update to 1.1.7
- Drop obsolete comment in the spec

* Tue Mar 01 2011 eandry <eandry> 1.1.6-3.mga1
+ Revision: 61974
- clean spec

* Mon Feb 07 2011 pterjan <pterjan> 1.1.6-2.mga1
+ Revision: 48585
- Remove file dependency

* Tue Jan 11 2011 supp <supp> 1.1.6-1.mga1
+ Revision: 6507
- imported package usb_modeswitch

